Skip to main content
GET
/
api
/
content
/
sources
/
{id}
Get source
curl --request GET \
  --url https://api.tedro.io/api/content/sources/{id} \
  --header 'x-workspace-id: <api-key>' \
  --cookie better-auth.session_token=
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>",
  "name": "<string>",
  "config": {},
  "syncStatus": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tedro.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-workspace-id
string
header
required

Workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Response

Source detail

id
string<uuid>
required
workspaceId
string<uuid>
required
type
string
required
name
string
required
config
object
required
syncStatus
string
required
createdAt
string
required
updatedAt
string
required
{key}
any